Red Hat Enterprise Linux 8 update for kpatch-patch



Published: 2020-06-16
Risk Low
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2020-12657
CWE-ID CWE-416
Exploitation vector Local
Public exploit N/A
Vulnerable software
Subscribe
Red Hat Enterprise Linux Server - TUS
Operating systems & Components / Operating system

Red Hat Enterprise Linux for Power, little endian
Operating systems & Components / Operating system

Red Hat Enterprise Linux for x86_64
Operating systems & Components / Operating system

kpatch-patch-4_18_0-193_1_2 (Red Hat package)
Operating systems & Components / Operating system package or component

kpatch-patch-4_18_0-193 (Red Hat package)
Operating systems & Components / Operating system package or component

Vendor Red Hat Inc.

Security Bulletin

This security bulletin contains one low risk vulnerability.

1) Use-after-free

EUVDB-ID: #VU28167

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2020-12657

CWE-ID: CWE-416 - Use After Free

Exploit availability: No

Description

The vulnerability allows a local user to compromise vulnerable system.

The vulnerability exists due to a use-after-free error in "block/bfq-iosched.c" file related to "bfq_idle_slice_timer_body". A local user can execute arbitrary code on the target system.

Successful exploitation of the vulnerability may allow an attacker to compromise vulnerable system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Red Hat Enterprise Linux Server - TUS: 8.2

Red Hat Enterprise Linux for Power, little endian: 8

Red Hat Enterprise Linux for x86_64: 8.0

kpatch-patch-4_18_0-193_1_2 (Red Hat package): before 1-1.el8_2

kpatch-patch-4_18_0-193 (Red Hat package): before 1-3.el8


CPE2.3 External links

http://access.redhat.com/errata/RHSA-2020:2567

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###